remove --url from mediapath macro
Description

The url switch for esx kickstart is different so having install url <%= @mediapath %>

actually produces the following

install url --url http://mediaserver/repos/software/esx4.1/

please change the macro to remove the --url option.

History

#1 - 01/29/2012 08:53 AM - Ohad Levy

- Status changed from New to Feedback

I'm afarid that might break a lot of people existing templates, maybe we could add another family for esx?

#2 - 07/04/2012 07:39 AM - Benjamin Papillon

- Category set to Unattended installations

I concur, ESX kickstart have specific options. For example, I don't know if its a good thing to install puppet agent on ESX.

Can you provide a valid template for installing ESX?

#3 - 07/04/2012 12:34 PM - Corey Osman

I documented how to do the kickstart here

http://theforeman.org/projects/foreman/wiki/VMware_ESXi

Also, I don't want to install puppet on ESX as its now allowed.  I only want to install ESX the OS.
